TextToSpeechGetSpeaker(3dtk)

Name

TextToSpeechGetSpeaker - Returns the value of the identifier for the last voice that has spoken.

Syntax
    MMRESULT TextToSpeechGetSpeaker (LPTTS_HANDLE_T phTTS,
                                    LPSPEAKER_T lpSpeaker)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

LPSPEAKER_T lpSpeaker
    Specifies a pointer to a DWORD that returns a speaker value from the following list. These symbols are defined in the include file ttsapi.h.

Speaker | Description
PAUL
 | Default (male) voice
HARRY
 | Full male voice
FRANK
 | Aged male voice
DENNIS
 | Male voice
BETTY
 | Full female voice
URSULA
 | Aged female voice
WENDY
 | Whispering female voice
RITA
 | Female voice
KIT
 | Child's voice

Description

This function returns the value of the identifier for the last voice that has spoken.

Note that even after calling TextToSpeechSetSpeaker(), TextToSpeechGetSpeaker() returns the value for the previous speaking voice until the new voice actually speaks.

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechSetSpeaker(3dtk)